import { csv } from 'd3';

export const loadData = () =>
  csv('https://vizhub.com/ilovemanu/datasets/final3.csv')
    .then(data => {

      data.forEach(d => {
        d.Total = +d.Total;
        d.Men = +d.Men;
        d.Women = +d.Women;
        d.ShareWomen = +d.ShareWomen
        d.Employed = +d.Employed;
        d.Full_time = +d.Full_time;
        d.Part_time = +d.Part_time;
        d.Full_time_year_round = +d.Full_time_year_round;
        d.Unemployment_rate = +d.Unemployment_rate;
        d['Median ($)'] = +d['Median ($)'];
        d['P25th ($)'] = +d['P25th ($)'];
        d['P75th ($)'] = +d['P75th ($)'];
        d.College_jobs = +d.College_jobs;
        //console.log(d.median);
      });

      return data;
    });